part of fullauth_api_flutter_client_library;

enum AuthEnvironment { live, staging }

extension AuthEnvironmentExtension on AuthEnvironment {
  String get authDomain {
    switch (this) {
      case AuthEnvironment.live:
        return "fullcreative";
        break;
      case AuthEnvironment.staging:
        return "anywhere";
        break;
    }
  }

  String getAuthUrl(String domain) {
    switch (this) {
      case AuthEnvironment.live:
        return "https://$domain.fullauth.com";
        break;
      case AuthEnvironment.staging:
        return "https://$domain.staging.anywhereauth.com";
        break;
    }
  }
}
