part of fullauth_api_flutter_client_library;

extension StringExtension on String {
  bool isNullOrEmpty() => this == null || this.trim() == "";
  bool hasValue() => !this.isNullOrEmpty();
}

extension MapExtension on Map {
  void add(String key, dynamic value) {
    var optionalValue = Optional.ofNullable(value);
    if (optionalValue.isPresent) {
      dynamic value = optionalValue.value;
      if ((value is Iterable && value.isNotEmpty) ||
          (value is String && value.hasValue()) ||
          (value is bool) ||
          (value is int) ||
          (value is double)) {
        this[key] = value;
      }
    }
  }
}
