part of fullauth_api_flutter_client_library;

class FullAuthOAuthServiceBuilder {
  AuthEnvironment _environment;
  String _authDomain;
  String _clientId = null;
  String _clientSecret = null;
  Set<String> _scopes = Set();
  String _redirectUri = null;
  OauthAccessType _accessType = null;

  FullAuthOAuthServiceBuilder clientId(String clientId) {
    this._clientId = clientId;
    return this;
  }

  FullAuthOAuthServiceBuilder clientSecret(String clientSecret) {
    this._clientSecret = clientSecret;
    return this;
  }

  FullAuthOAuthServiceBuilder setScopes(Set<String> scopes) {
    this._scopes = scopes;
    return this;
  }

  FullAuthOAuthServiceBuilder redirectUri(String redirectUri) {
    this._redirectUri = redirectUri;
    return this;
  }

  FullAuthOAuthServiceBuilder accessType(OauthAccessType accessType) {
    this._accessType = accessType;
    return this;
  }

  FullAuthOAuthServiceBuilder({AuthEnvironment environment, String authDomain}) {
    this._environment = environment;
    this._authDomain = authDomain;
  }

  FullAuthOauthService build() {
    return FullAuthOauthService(
        environment: this._environment,
        authDomain: this._authDomain,
        clientId: this._clientId,
        clientSecret: this._clientSecret,
        scopes: this._scopes,
        redirectUri: this._redirectUri,
        accessType: this._accessType);
  }
}
