part of fullauth_api_flutter_client_library;

class AppleTokenRequest extends OauthTokenRequest {
  String _bundleId;
  String _appleToken;
  String _scope;
  OauthAccessType _accessType;

  AppleTokenRequest({String clientId, String clientSecret, OauthGrantType grantType = OauthGrantType.appleToken})
      : super(clientId, clientSecret, grantType);

  @override
  Map<String, dynamic> getRequestParam() {
    Map map = super.getRequestParam();
    map.add("apple_id_token", this._appleToken);
    map.add("apple_client_id", this._bundleId);
    map.add(OauthRequestParamKey.scope, this._scope);
    map.add(OauthRequestParamKey.access_type, this._accessType.type);
    return map;
  }
}

extension AppleTokenRequestExtension on AppleTokenRequest {
  void setAppleToken(String appleToken) {
    this._appleToken = appleToken;
  }

  void setScope(Set<String> scopes) {
    this._scope = scopes.join(" ");
  }

  void setAccessType(OauthAccessType accessType) {
    this._accessType = accessType;
  }

  void setBundleId(String bundleId) {
    this._bundleId = bundleId;
  }
}
