part of fullauth_api_flutter_client_library;

class GoogleTokenRequest extends OauthTokenRequest {
  String _googleToken;
  String _scope;
  OauthAccessType _accessType;

  GoogleTokenRequest({String clientId, String clientSecret, OauthGrantType grantType = OauthGrantType.googleToken})
      : super(clientId, clientSecret, grantType);

  @override
  Map<String, dynamic> getRequestParam() {
    Map map = super.getRequestParam();
    map.add(OauthRequestParamKey.google_token, this._googleToken);
    map.add(OauthRequestParamKey.scope, this._scope);
    map.add(OauthRequestParamKey.access_type, this._accessType.type);
    return map;
  }
}

extension GoogleTokenRequestExtension on GoogleTokenRequest {
  void setGoogleToken(String googleToken) {
    this._googleToken = googleToken;
  }

  void setScope(Set<String> scopes) {
    this._scope = scopes.join(" ");
  }

  void setAccessType(OauthAccessType accessType) {
    this._accessType = accessType;
  }
}
