part of fullauth_api_flutter_client_library;

class RefreshTokenRequest extends OauthTokenRequest {
  String _refreshToken;
  String _expiryType;

  // default grantId will be refresh_token
  RefreshTokenRequest({String clientId, String clientSecret, OauthGrantType grantType = OauthGrantType.refreshToken})
      : super(clientId, clientSecret, grantType);

  @override
  Map<String, dynamic> getRequestParam() {
    Map map = super.getRequestParam();
    map.add("refresh_token", this._refreshToken);
    map.add("expiry_type", this._expiryType);
    return map;
  }
}

extension RefreshTokenRequestExtension on RefreshTokenRequest {
  String getRefreshToken() {
    return this._refreshToken;
  }

  String getExpiryType() {
    return this._expiryType;
  }

  void setRefreshToken(String refreshToken) {
    this._refreshToken = refreshToken;
  }

  void setExpiryType(String expiryType) {
    this._expiryType = expiryType;
  }
}
