part of fullauth_api_flutter_client_library;

class ResourceOwnerTokenRequest extends OauthTokenRequest {
  String _userName;
  String _password;
  String _scope;
  OauthAccessType _accessType;

  // Accepts clientId, ClientSecret, grantType
  ResourceOwnerTokenRequest({String clientId, String clientSecret, OauthGrantType grantType = OauthGrantType.password})
      : super(clientId, clientSecret, grantType);

  @override
  Map<String, dynamic> getRequestParam() {
    Map map = super.getRequestParam();
    map.add("username", this._userName);
    map.add("password", this._password);
    map.add(OauthRequestParamKey.scope, this._scope);
    map.add(OauthRequestParamKey.access_type, this._accessType.type);
    return map;
  }
}

// Getters
extension ResourceOwnerTokenRequestGetters on ResourceOwnerTokenRequest {
  String getUserName() {
    return this._userName;
  }

  String getPassword() {
    return this._password;
  }

  String getScope() {
    return this._scope;
  }

  OauthAccessType getAccessType() {
    return this._accessType;
  }
}

// Setters
extension ResourceOwnerTokenRequestSettes on ResourceOwnerTokenRequest {
  void setUserName(String userName) {
    this._userName = userName;
  }

  void setPassword(String password) {
    this._password = password;
  }

  void setScope(Set<String> scopes) {
    this._scope = scopes.join(" ");
  }

  void setAccessType(OauthAccessType accessType) {
    this._accessType = accessType;
  }
}
